# Use Cases

## Example Python
Inside the Notebook file you can write normal python syntax and can use plotting libaries to visualize your data and show the insights.

![Sandbox Example Python](res/sandbox_example_python.png)

## Example Markdown 
Inside Notebooks its possible to write Markdown text. This allows the user and the lectures to write formatted text inside the code editor, to create and answer Assignments. 

| Markdown Syntax                                  | Description                                               |
| ------------------------------------------------ | --------------------------------------------------------- |
| ** text **                                       | bold                                                      |
| * text *                                         | italic                                                    |
| *** text ***                                     | bold &italic                                              |
| # Heading 1                                      | Heading Level 1                                           |
| ## Heading 2                                     | Heading Level 2                                           |
| ### Heading 3                                    | Heading Level 3                                           |
| 1. Listitem <br> 2. Listitem <br> 3. Listitem    | Ordered List                                              |
| * Listitem 1 <br> * Listitem 2 <br> * Listitem 3 | Unordered List (instead of * it can be +, - used)         |
| ```python <br> 3x(`)                             | can be used to show embed python syntax with highlighting |

The following picture shows the markdown syntax:
![Sandbox Markdown Unrendered](res/sandbox_example_md_unrendered.png)

The following picture shows the rendered Markdown:
![Sandbox Markdown Unrendered](res/sanbox_example_md_rendered.png)

if you need more or advanced syntax to format your text with markdown have a look  [here](https://www.markdownguide.org)



## Example interactive dashboard
The following example shows the use of a interactive dashboard. The User Interface, makes it possible to the enduser to experiment/interact more easily with the Notebook.

![Sandbox Architecture](res/sandbox_example_ui.png)

## Useful Links 

- [Example Notebooks](https://git.sandbox.iuk.hdm-stuttgart.de/grosse/notebook-examples)           
                                     
